import Api from "~/service/Api"
import Utils from "~/utils"

export default {
    async onInfbutSearow(){
        const feepri = this.model.feepri;
        const feecod = this.model.selfee.cod;
        const ctycod = this.model.ctycod;
        const regcod = this.model.regcod;
        const buscod = this.model.buscod;
        let params = {feepri:feepri,feecod:feecod,ctycod:ctycod,buscod:buscod,regcod:regcod};
        let rtnmsg = await this.executeRule("infbut.searow",params)
        if(rtnmsg.respCode == SUCCESS)
        {
        //TODO 处理数据逻辑
       this.stmData.data = rtnmsg.data.infbut_dspstm.rows;
       Utils.copyValueFromVO(this.model, rtnmsg.data);
        this.$message({
            type: 'success',
            message: '获取成功！'   
        });
        }
        else
        {
        this.$notify.error({title: '错误',message: '服务请求失败！'});
        }
    },
async onInfbutDsp(){
        const pageId = this.model.pageId;
        const selrow = this.$refs.table.selection;
        let params = {pageId:pageId,selrow:selrow};
        let rtnmsg = await this.executeRule("infbut.dsp",params)
        if(rtnmsg.respCode == SUCCESS)
        {
        //TODO 处理数据逻辑

        }
        else
        {
        this.$notify.error({title: '错误',message: '服务请求失败！'});
        }
    },
async onInfbutUserow(){
        let rtnmsg = await this.executeRule("infbut.userow")
        if(rtnmsg.respCode == SUCCESS)
        {
        //TODO 处理数据逻辑

        }
        else
        {
        this.$notify.error({title: '错误',message: '服务请求失败！'});
        }
    },
async onInfbutClr(){
        let rtnmsg = await this.executeRule("infbut.clr")
        if(rtnmsg.respCode == SUCCESS)
        {
        //TODO 处理数据逻辑

        }
        else
        {
        this.$notify.error({title: '错误',message: '服务请求失败！'});
        }
    },
async onInfbutButprt(){
        let rtnmsg = await this.executeRule("infbut.butprt")
        if(rtnmsg.respCode == SUCCESS)
        {
        //TODO 处理数据逻辑

        }
        else
        {
        this.$notify.error({title: '错误',message: '服务请求失败！'});
        }
    },
async onInfbutExi(){
        let rtnmsg = await this.executeRule("infbut.exi")
        if(rtnmsg.respCode == SUCCESS)
        {
        //TODO 处理数据逻辑

        }
        else
        {
        this.$notify.error({title: '错误',message: '服务请求失败！'});
        }
    },
async onRecpanSplfec(){
        let rtnmsg = await this.executeRule("recpan.splfec")
        if(rtnmsg.respCode == SUCCESS)
        {
        //TODO 处理数据逻辑

        }
        else
        {
        this.$notify.error({title: '错误',message: '服务请求失败！'});
        }
    },
async onRecpanSplfec1(){
        let rtnmsg = await this.executeRule("recpan.splfec1")
        if(rtnmsg.respCode == SUCCESS)
        {
        //TODO 处理数据逻辑

        }
        else
        {
        this.$notify.error({title: '错误',message: '服务请求失败！'});
        }
    },
async onRecpanButjoiamt(){
        let rtnmsg = await this.executeRule("recpan.butjoiamt")
        if(rtnmsg.respCode == SUCCESS)
        {
        //TODO 处理数据逻辑

        }
        else
        {
        this.$notify.error({title: '错误',message: '服务请求失败！'});
        }
    },
async onRecpanButjoiper(){
        let rtnmsg = await this.executeRule("recpan.butjoiper")
        if(rtnmsg.respCode == SUCCESS)
        {
        //TODO 处理数据逻辑

        }
        else
        {
        this.$notify.error({title: '错误',message: '服务请求失败！'});
        }
    },

}